DECLARE 
  P_CODEQU VARCHAR2(4);
  P_CODPIL VARCHAR2(4);
  P_CODCOT VARCHAR2(4);
  P_CODCOM VARCHAR2(4);
  P_CODCAR VARCHAR2(4);
  P_DATCAR DATE;
  P_CODPOS NUMBER;
  P_VOLRAP TIMESTAMP;
  P_CODRES VARCHAR2(4);
  P_CODTEL VARCHAR2(4);
  P_RSP VARCHAR2(200);

BEGIN 
   
  -- Modificaci dels resultats de dos pilots (veure documentaci Annex 3 punt 4.1)
  GSIMONET.FIA_PKG.INSERT_UPDATE_RESULTAT ( 'E001', 'P001', 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015', 'DD/MM/YYYY'), 2, TO_TIMESTAMP ('01/01/2015 0:03:32,435'), P_CODRES, P_RSP);
  GSIMONET.FIA_PKG.INSERT_UPDATE_RESULTAT ( 'E001', 'P002', 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015', 'DD/MM/YYYY'), 1, TO_TIMESTAMP ('01/01/2015 0:03:29,435'), P_CODRES, P_RSP);
  
  -- Eliminaci d'un resultat (veure documentaci Annex 3 punt 4.2)
  GSIMONET.FIA_PKG.DELETE_RESULTAT ( 'E003', 'P006', 'CX03', 'C001', 'CC01', TO_DATE('01/01/2015'), P_RSP );

  -- 4.3.   Inserci de dos dades telemtriques (veure documentaci Annex 3 punt 4.3)
  GSIMONET.TELEMETRIA_PKG.INSERT_TELEMETRIA ( 'E004', 'P008', 'CX04', 'C002', 'CC06', TO_DATE('15/02/2015'), 'CP05', '15/02/2015 13:00:00,000', 'TEMPERATURA',5453, 'GRAUS', P_CODTEL, P_RSP );
  GSIMONET.TELEMETRIA_PKG.INSERT_TELEMETRIA ( 'E004', 'P008', 'CX04', 'C002', 'CC06', TO_DATE('15/02/2015'), 'CP04', '15/02/2015 13:00:00,000', 'CARBURANT GASTAT', 44, 'LITRES', P_CODTEL, P_RSP );


  COMMIT;
END;