﻿DECLARE 
  P_CODPIL VARCHAR2(4);
  P_CODEQU VARCHAR2(4);
  P_ANYFOR NUMBER;
  P_RSP VARCHAR2(200);
  P_CODRES VARCHAR2(4);
  P_CODTEL VARCHAR2(4);
  
  v_tel GSIMONET.TELEMETRIA%ROWTYPE;

  
BEGIN 
  P_RSP := NULL;
  
    -- P_RSP = ERROR: E001 L'equip ja té dos pilots en la present temporada
    GSIMONET.EQUIP_PKG.AFEGIR_PILOT_EQUIP_COMPETICIO ( 'P013', 'E002', 2015, P_RSP ); 
    -- P_RSP = ERROR: E002 El pilot ja té equip en la present temporada
    GSIMONET.EQUIP_PKG.AFEGIR_PILOT_EQUIP_COMPETICIO ( 'P001', 'E002', 2015, P_RSP );

  
 
-- Insertar/actualitzar resultat
-- P_RSP = ERROR: E003 Falta un paràmetre obligatori
   GSIMONET.FIA_PKG.INSERT_UPDATE_RESULTAT ( 'E001', NULL, 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015'), '1', '01/01/2015 0:03:31,435', P_CODRES, P_RSP );
-- P_RSP = ERROR: E007 La formacio equip-pilot-any no existeix
   GSIMONET.FIA_PKG.INSERT_UPDATE_RESULTAT ( 'E001', 'P003', 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015'), '1', '01/01/2015 0:03:31,435', P_CODRES, P_RSP );
-- P_RSP = ERROR: E008 El cotxe no existeix per a aquest equip
   GSIMONET.FIA_PKG.INSERT_UPDATE_RESULTAT ( 'E001', 'P001', 'CX02', 'C001', 'CC01', TO_DATE('01/01/2015'), '1', '01/01/2015 0:03:31,435', P_CODRES, P_RSP );
-- P_RSP = ERROR: E009 La carrera no existeix dintre la competicio
   GSIMONET.FIA_PKG.INSERT_UPDATE_RESULTAT ( 'E001', 'P001', 'CX01', 'C001', 'CC04', TO_DATE('01/01/2015'), '1', '01/01/2015 0:03:31,435', P_CODRES, P_RSP );
-- P_RSP = ERROR: E010 La data de la carrera és distinta a la data volta ràpida
   GSIMONET.FIA_PKG.INSERT_UPDATE_RESULTAT ( 'E001', 'P001', 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015'), '1', '01/02/2015 0:03:31,435', P_CODRES, P_RSP );

-- Eliminar resultat
-- P_RSP = ERROR: E003 Falta un paràmetre obligatori
   GSIMONET.FIA_PKG.DELETE_RESULTAT ( 'E001', NULL, 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015'), P_RSP );
-- P_RSP = ERROR: E014 El resultat no exiteix
   GSIMONET.FIA_PKG.DELETE_RESULTAT ( 'E002', 'P001', 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015'), P_RSP );


-- Insertar telemetria
-- P_RSP = ERROR: E003 Falta un paràmetre obligatori
    GSIMONET.TELEMETRIA_PKG.INSERT_TELEMETRIA ( NULL, 'P001', 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015'), 'CP01', '01/01/2015 13:00:00,000', 'PRESSIÓ', 2001, 'ATMÓSFERAS', P_CODTEL, P_RSP );
-- P_RSP = ERROR: E007 La formacio equip-pilot-any no existeix
   GSIMONET.TELEMETRIA_PKG.INSERT_TELEMETRIA ( 'E001', 'P004', 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015'), 'CP01', '01/01/2015 13:00:00,000', 'PRESSIÓ', 2001, 'ATMÓSFERAS', P_CODTEL, P_RSP );
-- P_RSP = ERROR: E008 El cotxe no existeix per a aquest equip
   GSIMONET.TELEMETRIA_PKG.INSERT_TELEMETRIA ( 'E001', 'P001', 'CX02', 'C001', 'CC01', TO_DATE('01/01/2015'), 'CP01', '01/01/2015 13:00:00,000', 'PRESSIÓ', 2001, 'ATMÓSFERAS', P_CODTEL, P_RSP );
-- P_RSP = ERROR: E009 La carrera no existeix dintre la competicio
   GSIMONET.TELEMETRIA_PKG.INSERT_TELEMETRIA ( 'E001', 'P001', 'CX01', 'C001', 'CC04', TO_DATE('01/01/2015'), 'CP01', '01/01/2015 13:00:00,000', 'PRESSIÓ', 2001, 'ATMÓSFERAS', P_CODTEL, P_RSP );
-- P_RSP = ERROR: E013 El component no existeix
   GSIMONET.TELEMETRIA_PKG.INSERT_TELEMETRIA ( 'E001', 'P001', 'CX01', 'C001', 'CC01', TO_DATE('01/01/2015'), 'CP11', '01/01/2015 13:00:00,000', 'PRESSIÓ', 2001, 'ATMÓSFERAS', P_CODTEL, P_RSP );
-- P_RSP = ERROR: E012 La data de la carrera és distinta a la data del moment telemètric
   GSIMONET.TELEMETRIA_PKG.INSERT_TELEMETRIA ( 'E001', 'P001', 'CX01', 'C001', 'CC01', TO_DATE('01/02/2015'), 'CP01', '01/01/2015 13:00:00,000', 'PRESSIÓ', 2001, 'ATMÓSFERAS', P_CODTEL, P_RSP );


-- P_RSP = ERROR: E003 Falta un paràmetre obligatori
   GSIMONET.TELEMETRIA_PKG.DELETE_TELEMETRIA ( NULL, P_RSP );
-- P_RSP = ERROR: E011 El mòdul estadístic no s'ha pogut actualitzar
   GSIMONET.TELEMETRIA_PKG.DELETE_TELEMETRIA ( 9999, P_RSP );

  COMMIT; 
END;
