CREATE USER GSIMONET
  IDENTIFIED BY GSIMONET
  DEFAULT TABLESPACE SYSTEM
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
  -- 2 Roles for GSIMONET 
  GRANT CONNECT TO GSIMONET;
  GRANT RESOURCE TO GSIMONET;
  ALTER USER GSIMONET DEFAULT ROLE ALL;
  -- 7 System Privileges for GSIMONET 
  GRANT CREATE DATABASE LINK TO GSIMONET;
  GRANT CREATE SEQUENCE TO GSIMONET;
  GRANT CREATE TABLE TO GSIMONET;
  GRANT CREATE SESSION TO GSIMONET;
  GRANT CREATE PROCEDURE TO GSIMONET;
  GRANT CREATE TRIGGER TO GSIMONET;
  GRANT CREATE VIEW TO GSIMONET;
  -- 1 Tablespace Quota for GSIMONET 
  ALTER USER GSIMONET QUOTA UNLIMITED ON SYSTEM;


